## ros-jazzy-depthai-ros 2.10.2

=== debian/changelog ===
ros-jazzy-depthai-ros (2.10.2-1bookworm) bookworm; urgency=high

  * Fix Stereo K matrix publishing
  * Fix socket ID for NN detections
  * Remove catching errors when starting the device since it introduced undefined behavior
  * Add desqueeze to NN node

 -- Adam Serafin <adam.serafin@luxonis.com>  Wed, 25 Sep 2024 16:00:00 -0000

ros-jazzy-depthai-ros (2.10.1-1bookworm) bookworm; urgency=high

  * Fix ToF synced publishing
  * Add camera_info publishing when publishing compressed images
  * Catch errors when starting the device

 -- Adam Serafin <adam.serafin@luxonis.com>  Tue, 17 Sep 2024 16:00:00 -0000

ros-jazzy-depthai-ros (2.10.0-1bookworm) bookworm; urgency=high

  * Adding stl files for SR and LR models by @danilo-pejovic in https://github.com/luxonis/depthai-ros/pull/491
  * No imu fix Humble by @Serafadam in https://github.com/luxonis/depthai-ros/pull/500
  * Tracking converter for ROS2 Humble by @daniqsilva25 in https://github.com/luxonis/depthai-ros/pull/505
  * Added Env Hooks so that depthai xacro can be used with gazebo sim by @r4hul77 in https://github.com/luxonis/depthai-ros/pull/507
  * Fix resource paths for Ignition Gazebo by @Nibanovic in https://github.com/luxonis/depthai-ros/pull/511
  * Use simulation flag to decide how to load meshes. by @destogl in https://github.com/luxonis/depthai-ros/pull/524
  * Add new launch file for starting multiple rgbd cameras on robots. by @destogl in https://github.com/luxonis/depthai-ros/pull/532
  * Missing fields in detection messages Humble by @Serafadam in https://github.com/luxonis/depthai-ros/pull/574
  * Ip autodiscovery fix Humble by @Serafadam in https://github.com/luxonis/depthai-ros/pull/561
  * RS Mode & Sync - Humble by @Serafadam in https://github.com/luxonis/depthai-ros/pull/578
  * Compressed image publishers by @Serafadam in https://github.com/luxonis/depthai-ros/pull/580
  * ToF Support Humble by @Serafadam in https://github.com/luxonis/depthai-ros/pull/581
  * WLS fix humble by @Serafadam in https://github.com/luxonis/depthai-ros/pull/582
  * Syncing & RS updates Humble by @Serafadam in https://github.com/luxonis/depthai-ros/pull/586

 -- Adam Serafin <adam.serafin@luxonis.com>  Wed, 28 Aug 2024 16:00:00 -0000

ros-jazzy-depthai-ros (2.9.0-1bookworm) bookworm; urgency=high

  * New documentation homepage
  * Updated support for LR and SR cameras
  * Added parameter to toggle restart on logging error
  * Changed argument for camera.launch file from pass_tf_args_as_params to publish_tf_from_calibration to be more explicit
  * Added the option to run NN as part of sensor node
  * Added option to run Spatial NN as part of stereo node

 -- Adam Serafin <adam.serafin@luxonis.com>  Tue, 23 Jan 2024 16:00:00 -0000

ros-jazzy-depthai-ros (2.8.2-1bookworm) bookworm; urgency=high

  * Fixed default resolution for Stereo cameras
  * Added CameraInfo update based on alpha scaling
  * Logger restart bugfix
  * URDF parameters fix

 -- Adam Serafin <adam.serafin@luxonis.com>  Mon, 16 Oct 2023 16:00:00 -0000

ros-jazzy-depthai-ros (2.8.1-1bookworm) bookworm; urgency=high

  * Added support for OpenCV Stereo order convention
  * Added disparity to depth use spec translation parameter
  * Updated sensor socket logic
  * Fixed issues when running robot_state_publisher as component
  * Added missing tf2 dependencies

 -- Adam Serafin <adam.serafin@luxonis.com>  Mon, 11 Sep 2023 16:00:00 -0000

ros-jazzy-depthai-ros (2.8.0-1bookworm) bookworm; urgency=high

  * Add camera image orientation param
  * Performance update
  * Feature tracker
  * Handle USB speed when usb id is specified
  * Change misleading error to a clearer message
  * Watchdog
  * Depth alignment update
  * Synced stereo streams
  * Lazy Publishing
  * Urdf loader
  * Add exposure offset

 -- Adam Serafin <adam.serafin@luxonis.com>  Thu, 31 Aug 2023 16:00:00 -0000

ros-jazzy-depthai-ros (2.7.5-1bookworm) bookworm; urgency=high

  * IMU sync fix

 -- Adam Serafin <adam.serafin@luxonis.com>  Sun, 06 Aug 2023 16:00:00 -0000

ros-jazzy-depthai-ros (2.7.4-1bookworm) bookworm; urgency=high

  * ROS time update
  * Minor bugfixes

 -- Adam Serafin <adam.serafin@luxonis.com>  Sun, 25 Jun 2023 16:00:00 -0000

ros-jazzy-depthai-ros (2.7.3-1bookworm) bookworm; urgency=high

  * Pipeline generation as a plugin
  * Fixed bounding box generation issue
  * Stereo rectified streams publishing
  * Camera trigger mechanisms
  * Brightness filter

 -- Adam Serafin <adam.serafin@luxonis.com>  Thu, 15 Jun 2023 16:00:00 -0000

ros-jazzy-depthai-ros (2.7.2-1bookworm) bookworm; urgency=high

  * IMU improvements

 -- Adam Serafin <adam.serafin@luxonis.com>  Sun, 07 May 2023 16:00:00 -0000

ros-jazzy-depthai-ros (2.7.1-1bookworm) bookworm; urgency=high

  * Add custom output size option for streams

 -- Adam Serafin <adam.serafin@luxonis.com>  Tue, 28 Mar 2023 16:00:00 -0000

ros-jazzy-depthai-ros (2.7.0-1bookworm) bookworm; urgency=high

  * Added depthai_descriptions package
  * Added depthai_filters package
  * XLinkIn option for image subscription
  * Additional debugging options
  * Bugfixes

 -- Adam Serafin <adam.serafin@luxonis.com>  Mon, 27 Mar 2023 16:00:00 -0000

ros-jazzy-depthai-ros (2.6.4-1bookworm) bookworm; urgency=high

  * Fix sensor name detection
  * Enable subpixel mode
  * Update camera start/stop services

 -- Adam Serafin <adam.serafin@luxonis.com>  Wed, 22 Feb 2023 16:00:00 -0000

ros-jazzy-depthai-ros (2.6.3-1bookworm) bookworm; urgency=high

  * Camera calibration updates
  * Option to connect to the device via USB port id

 -- Adam Serafin <adam.serafin@luxonis.com>  Thu, 09 Feb 2023 16:00:00 -0000

ros-jazzy-depthai-ros (2.6.2-1bookworm) bookworm; urgency=high

  * Fixed timestamp in SpatialDetector
  * Updated topic names in stereo_inertial_node

 -- Adam Serafin <adam.serafin@luxonis.com>  Tue, 31 Jan 2023 16:00:00 -0000

ros-jazzy-depthai-ros (2.6.1-1bookworm) bookworm; urgency=high

  * Update docker image building


