=== debian/control ===
Source: ros-jazzy-depthai-ros
Section: misc
Priority: optional
Maintainer: Adam Serafin <adam.serafin@luxonis.com>
Build-Depends: debhelper (>= 9.0.0), ros-jazzy-ament-cmake, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-depthai-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-depthai, ros-jazzy-depthai-bridge, ros-jazzy-depthai-descriptions, ros-jazzy-depthai-examples, ros-jazzy-depthai-filters, ros-jazzy-depthai-ros-driver, ros-jazzy-depthai-ros-msgs, ros-jazzy-ros-workspace
Description: The depthai-ros package
